> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mailchimp.com/developer/marketing/api/reports/list-open-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mailchimp.com/_mcp/server. # List campaign open details GET https://api.mailchimp.com/3.0/reports/{campaign_id}/open-details Get detailed information about any campaign emails that were opened by a list member. Reference: https://mailchimp.com/developer/marketing/api/reports/list-open-details ## Authentication - `Authorization` header (bearer token, required) — Authorization using a Mailchimp API key (a.k.a. Bearer token) - `Authorization` header (bearer token, required) — Authorization using OAuth ## Request ### Path parameters - `campaign_id` (string, required) — The unique id for the campaign. ### Query parameters - `fields` (list of string, optional) — A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation. - `exclude_fields` (list of string, optional) — A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation. - `count` (integer, optional, default: 10) — The number of records to return. Default value is 10. Maximum value is 1000 - `offset` (integer, optional, default: 0) — Used for [pagination](https://mailchimp.com/developer/marketing/docs/methods-parameters/#pagination), this is the number of records from a collection to skip. Default value is 0. - `since` (string, optional) — Restrict results to campaign open events that occur after a specific time. Uses ISO 8601 time format: 2015-10-21T15:41:36+00:00. - `sort_field` (enum, optional) — Returns open reports sorted by the specified field. - Allowed values: `opens_count` - `sort_dir` (enum, optional) — Determines the order direction for sorted results. - Allowed values: `ASC`, `DESC` - `filter_bots` (boolean, optional, default: false) — When true, exclude automated (proxy/bot) opens so the returned open counts reflect human opens only, matching the in-app Recipient Activity view. A member whose opens are all automated is excluded from the human-only view. Defaults to false (all opens). ## Response ### 200 - `_links` (list of 30ReportsCampaignIdOpenDetailsGetResponsesContentApplicationJsonSchemaLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `campaign_id` (string, optional) — The campaign id. - `members` (list of OpenActivity, optional) — An array of objects, each representing a list member who opened a campaign email. Each members object will contain information about the number of total opens by a single member, as well as timestamps for each open event. - `total_items` (integer, optional) — The total number of items matching the query regardless of pagination. - `total_opens` (integer, optional) — The total number of opens matching the query regardless of pagination. - `total_proxy_excluded_opens` (integer, optional) — The total number of opens excluding opens from email clients that use proxies regardless of pagination. ## Types ### 30ReportsCampaignIdOpenDetailsGetResponsesContentApplicationJsonSchemaLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### OpenActivity A list of a member's opens activity in a specific campaign. - `_links` (list of OpenActivityLinksItems, optional) — A list of link types and descriptions for the API schema documents. - `campaign_id` (string, optional) — The unique id for the campaign. - `contact_status` (string, optional) — The status of the member, namely if they are subscribed, unsubscribed, deleted, non-subscribed, transactional, pending, or need reconfirmation. - `email_address` (string, optional) — Email address for a subscriber. - `email_id` (string, optional) — The MD5 hash of the lowercase version of the list member's email address. - `list_id` (string, optional) — The unique id for the list. - `list_is_active` (boolean, optional) — The status of the list used, namely if it's deleted or disabled. - `merge_fields` (map from string to OpenActivityMergeFields, optional, nullable) — A dictionary of merge fields where the keys are the merge tags. See the [Merge Fields documentation](https://mailchimp.com/developer/marketing/docs/merge-fields/#structure) for more about the structure. - `opens` (list of OpenActivityOpensItems, optional) — An array of timestamps for each time a list member opened the campaign. If a list member opens an email multiple times, this will return a separate timestamp for each open event. - `opens_count` (integer, optional) — The total number of times the this campaign was opened by the list member. - `proxy_excluded_opens_count` (integer, optional) — The total number of times the this campaign was opened by the list member excluding opens from email clients that use proxies . - `vip` (boolean, optional) — [VIP status](https://mailchimp.com/help/designate-and-send-to-vip-contacts/) for subscriber. ### OpenActivityLinksItems This object represents a link from the resource where it is found to another resource or action that may be performed. - `href` (string, optional) — This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action. - `method` (enum, optional) — The HTTP method that should be used when accessing the URL defined in 'href'. - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `OPTIONS`, `HEAD` - `rel` (string, optional) — As with an HTML 'rel' attribute, this describes the type of link. - `schema` (string, optional) — For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to. - `targetSchema` (string, optional) — For GETs, this is a URL representing the schema that the response should conform to. ### OpenActivityMergeFields This object's keys are merge tags (like FNAME). It's values are the values to be added to the merge field. ### OpenActivityOpensItems A summary of the interaction with the campaign. - `is_proxy_open` (boolean, optional) — Indicates if the open was from an email client that use proxies. - `timestamp` (datetime, optional) — The date and time recorded for the action in ISO 8601 format. ### OpenActivityMergeFields0 - `addr1` (string, required) - `city` (string, required) - `state` (string, required) - `zip` (string, required) - `addr2` (string, optional) - `country` (string, optional) ## Examples **Response** ```json { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "campaign_id": "string", "members": [ { "_links": [ { "href": "string", "method": "GET", "rel": "string", "schema": "string", "targetSchema": "string" } ], "campaign_id": "string", "contact_status": "string", "email_address": "string", "email_id": "string", "list_id": "string", "list_is_active": true, "merge_fields": {}, "opens": [ { "is_proxy_open": true, "timestamp": "2024-01-15T09:30:00Z" } ], "opens_count": 1, "proxy_excluded_opens_count": 1, "vip": true } ], "total_items": 1, "total_opens": 1, "total_proxy_excluded_opens": 1 } ``` **SDK Code** ```python import requests url = "https://api.mailchimp.com/3.0/reports/campaign_id/open-details" querystring = {"since":"2016-04-12 12:00:00"} headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript const url = 'https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.mailchimp.com/3.0/reports/campaign_id/open-details?since=2016-04-12+12%3A00%3A00")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Find all the Mailchimp API documentation and tools developers need to send marketing and transactional emails.